Get Conversations (XChat v3)
curl --request POST \
--url https://api.twexapi.io/v3/twitter/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
}
'import requests
url = "https://api.twexapi.io/v3/twitter/conversations"
payload = {
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cookie: 'ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7',
proxy: 'http://username:password@ip:port'
})
};
fetch('https://api.twexapi.io/v3/twitter/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": [
{
"conversation_id": "1928096185664843776:1989842918455291904",
"type": "direct",
"is_muted": false,
"participants": [
"1928096185664843776"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}DM Endpoints
Get Conversations (XChat v3)
Get XChat conversation list.
POST
/
v3
/
twitter
/
conversations
Get Conversations (XChat v3)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Parameters for getting XChat conversation list
Twitter authentication cookie or Twitter auth_token, how-to-get-twitter-cookie
Example:
"ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
Proxy ref for XChat session. Example: http://username:password@ip:port [blocked]
Example:
"http://username:password@ip:port"
⌘I